C2SIM(1)

NAME
c2sim - codec2 testing framework

DESCRIPTION
Codec2 test and evaluation program

USAGE
c2sim 3200|2400|1600|1400}1300|1200 InputFile OutputRawFile [OPTIONS]

OPTIONS

--help
    display help and exit

--rate
    Set rate

--gain
    Set gain

--lpc
    Set LPC model

--lspjnd
    set

--lspmel
    set

--lsp
    set

--lspd
    set

--lspvq
    set

--lspres
    set

--lspdt
    set

--lspdt_mode
    set

--lspjvm
    set

--lspanssi
    set

--phase0
    set

--phaseexp
    set

--ampexp
    set

--postfilter
    set

--hand_voicing
    set

--dec
    set

--dt
    set

--hi
    set

--simlpcpf
    set

--lpcpf
    set

--prede
    set

--dump_pitch_e
    dumo pitch estimate

--sq_pitch_e
    scalar quantize pitch estimate

--vq_pitch_e
    vector quantize pitch estimate

Codec2 simulation. Combines encoder and decoder and allows switching in and out various algorithms and quantisation steps. Used for algorithm development.

SEE ALSO

c2dec(1) c2demo(1) c2enc(1) fdmdv_demod(1) fdmdv_interleave(1) fdmdv_mod(1) fdmdv_put_test_bits(1) fec_dec(1) fec_enc(1) insert_errors(1)